// Tests for microformats-v2/h-event
#![allow(non_snake_case, unused_imports)]
use crate::parse::test::suite::check_fixture_for_parser;

#[test]
fn time() {
    check_fixture_for_parser("microformats-v2/h-event/time");
}

#[test]
fn justaname() {
    check_fixture_for_parser("microformats-v2/h-event/justaname");
}

#[test]
fn justahyperlink() {
    check_fixture_for_parser("microformats-v2/h-event/justahyperlink");
}

#[test]
fn dt_property() {
    check_fixture_for_parser("microformats-v2/h-event/dt-property");
}

#[test]
fn concatenate() {
    check_fixture_for_parser("microformats-v2/h-event/concatenate");
}

#[test]
fn combining() {
    check_fixture_for_parser("microformats-v2/h-event/combining");
}

#[test]
fn attendees() {
    check_fixture_for_parser("microformats-v2/h-event/attendees");
}

#[test]
fn ampm() {
    check_fixture_for_parser("microformats-v2/h-event/ampm");
}