// Tests for microformats-v2/h-card
#![allow(non_snake_case, unused_imports)]
use crate::parse::test::suite::check_fixture_for_parser;

#[test]
fn relativeurlsempty() {
    check_fixture_for_parser("microformats-v2/h-card/relativeurlsempty");
}

#[test]
fn relativeurls() {
    check_fixture_for_parser("microformats-v2/h-card/relativeurls");
}

#[test]
fn p_property() {
    check_fixture_for_parser("microformats-v2/h-card/p-property");
}

#[test]
fn nested() {
    check_fixture_for_parser("microformats-v2/h-card/nested");
}

#[test]
fn justaname() {
    check_fixture_for_parser("microformats-v2/h-card/justaname");
}

#[test]
fn justahyperlink() {
    check_fixture_for_parser("microformats-v2/h-card/justahyperlink");
}

#[test]
fn impliedurlempty() {
    check_fixture_for_parser("microformats-v2/h-card/impliedurlempty");
}

#[test]
fn impliedurl() {
    check_fixture_for_parser("microformats-v2/h-card/impliedurl");
}

#[test]
fn impliedphoto() {
    check_fixture_for_parser("microformats-v2/h-card/impliedphoto");
}

#[test]
fn impliedname() {
    check_fixture_for_parser("microformats-v2/h-card/impliedname");
}

#[test]
fn hyperlinkedphoto() {
    check_fixture_for_parser("microformats-v2/h-card/hyperlinkedphoto");
}

#[test]
fn hcard() {
    check_fixture_for_parser("microformats-v2/h-card/hcard");
}

#[test]
fn extendeddescription() {
    check_fixture_for_parser("microformats-v2/h-card/extendeddescription");
}

#[test]
fn childimplied() {
    check_fixture_for_parser("microformats-v2/h-card/childimplied");
}

#[test]
fn baseurl() {
    check_fixture_for_parser("microformats-v2/h-card/baseurl");
}