// Tests for microformats-v2/rel
#![allow(non_snake_case, unused_imports)]
use crate::parse::test::suite::check_fixture_for_parser;

#[test]
fn xfn_elsewhere() {
    check_fixture_for_parser("microformats-v2/rel/xfn-elsewhere");
}

#[test]
fn xfn_all() {
    check_fixture_for_parser("microformats-v2/rel/xfn-all");
}

#[test]
fn varying_text_duplicate_rels() {
    check_fixture_for_parser("microformats-v2/rel/varying-text-duplicate-rels");
}

#[test]
fn rel_urls() {
    check_fixture_for_parser("microformats-v2/rel/rel-urls");
}

#[test]
fn nofollow() {
    check_fixture_for_parser("microformats-v2/rel/nofollow");
}

#[test]
fn license() {
    check_fixture_for_parser("microformats-v2/rel/license");
}

#[test]
fn duplicate_rels() {
    check_fixture_for_parser("microformats-v2/rel/duplicate-rels");
}